Bug 1337844 - [HA Addon] Simplify monitoring operation update
Summary: [HA Addon] Simplify monitoring operation update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-High_Availability_Add-On_Reference
Version: 7.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 08:34 UTC by Michele Baldessari
Modified: 2019-03-06 01:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:34:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michele Baldessari 2016-05-20 08:34:02 UTC
Document URL:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/High_Availability_Add-On_Reference/index.html#s1-resourceoperate-HAAR

Section Number and Name: 
5.6. RESOURCE OPERATIONS

Describe the issue:
Currently we state the following about changing the monitoring options:
"""
To change the values of a monitoring option, you remove the existing operation, then add the new operation. For example, you can create a VirtualIP with the following command.
# pcs resource create VirtualIP ocf:heartbeat:IPaddr2 ip=192.168.0.99 cidr_netmask=24 nic=eth2
By default, this command creates these operations.
Operations: start interval=0s timeout=20s (VirtualIP-start-timeout-20s)
            stop interval=0s timeout=20s (VirtualIP-stop-timeout-20s)
            monitor interval=10s timeout=20s (VirtualIP-monitor-interval-10s)
The change the stop timeout operation, execute the following commands.
# pcs resource op remove VirtualIP stop interval=0s timeout=20s
# pcs resource op add VirtualIP stop interval=0s timeout=40s
"""

Suggestions for improvement: 
Instead of removing and adding the the stop options in two steps, we can
do it in a single operation:
"""
pcs resource update VirtualIP op stop interval=0s timeout=40s
"""

This is a bit more simple and less error prone.


Note You need to log in before you can comment on or make changes to this bug.